Subject: Re: bug#22650: guixSD default umask is 0000

From: 宋文武 <[email-masked]>
Date: Mon, 07 Mar 2016 23:18:48 +0800

于 2016年3月7日 GMT+08:00下午8:18:44, [email-masked] 写到:
>[email-masked] (Ludovic Courtès) skribis:
>
>> myglc2 <[email-masked]> skribis:
>>
>>> glc@g1 ~$ ssh glc4@g1
>>> glc4@g1's password: 
>>> glc4@g1 ~$ umask
>>> 0000
>>
>> Oh indeed, I can reproduce it.
>>
>> The problem is that lshd resets the umask when it starts (in
>> src/daemon.c:daemon_init) but never changes it again.
>>
>> Perhaps we should be using pam_umask and login.defs (although I’m
>unsure
>> if lshd would honor it), or alternately add explicitly set the umask
>in
>> /etc/profile.
>>
>> Thoughts?
>
>宋文武 & Alex: WDYT?  (Asking you since I know you’re already familiar
>with these things.  :-))
>
>Ludo’.

I never pay attention to umask, but set it in /etc/profile seem the right thing to me. IIRC, debian and exherbo set it in there too.